Skip to main content
POST
/
api
/
v1
/
automations
/
{id}
/
examples
Create automation example
curl --request POST \
  --url https://studio.eigenpal.com/api/v1/automations/{id}/examples \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "input": {},
  "expected": null,
  "metadata": {},
  "annotation": "<string>",
  "rowOrder": 4503599627370495,
  "overrides": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "automationId": "<string>",
  "input": {},
  "expected": null,
  "expectedFiles": [
    {
      "name": "<string>"
    }
  ],
  "metadata": {},
  "annotation": "<string>",
  "rowOrder": 123,
  "overrides": {},
  "latestRunId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Body

application/json
name
string | null
Required string length: 1 - 128
input
object
expected
unknown
metadata
object
annotation
string | null
Maximum string length: 2000
rowOrder
integer | null
Required range: 0 <= x <= 9007199254740991
overrides
object

Response

Created example

id
string
required

Stable public example id. Workflow examples use DB ids; agent examples use deterministic name-derived ids.

name
string
required
automationId
string
required
automationType
enum<string>
required
Available options:
workflow,
agent
input
object
required
expected
unknown
required
expectedFiles
object[]
required
metadata
object
required
annotation
string | null
required
rowOrder
number | null
required
overrides
object
required
latestRunId
string | null
required
createdAt
updatedAt